Bug 1514532 - Ceilometer event dispatcher misses `gnocchi'
Summary: Ceilometer event dispatcher misses `gnocchi'
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z8
: 10.0 (Newton)
Assignee: Pradeep Kilambi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 16:58 UTC by Julien Danjou
Modified: 2018-05-17 15:42 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-17 15:40:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42 UTC
OpenStack gerrit 521132 None None None 2017-11-17 17:10 UTC

Description Julien Danjou 2017-11-17 16:58:57 UTC
The Ceilometer event_dispatcher configuration option is only set to `database', whereas it also should be set to `gnocchi' when deployed with Gnocchi.

Without that setting, the Gnocchi dispatcher is unable to process the events and certain data such as `ended_at` are not set correctly by Ceilometer in Gnocchi.

Comment 3 Julien Danjou 2018-01-13 16:49:23 UTC
This is tripleo-heat-templates 5.3.7, can we rebase?

Comment 17 errata-xmlrpc 2018-05-17 15:40:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593


Note You need to log in before you can comment on or make changes to this bug.